* Created on 06/15/2022 13:38 using paint_kip.jar
* www.dmitrynizh.com/tubeparams_image.htm
* Plate Curves image file: 6e6p-e.png
* Data source link: <plate curves URL>

*----------------------------------------------------------------------------------
.SUBCKT 6E6P_E P G2 G K ; LTSpice tetrode.asy pinout
* .SUBCKT 6E6P_E P G K G2 ; Koren Pentode Pspice pinout
+ PARAMS: MU=35.62 KG1=189.62 KP=381.46 KVB=833.1 VCT=-0.8004 EX=1.342 KG2=588.76 KNEE=9.55 KVC=1.78
+ KLAM=1.25E-8 KLAMG=0.001335  KD=2.493E13 KC=3341.55 KR1=2580.93 KR2=3.533E-4 KVBG=0.004912 KB1=4.793 KB2=5.371E-5 KB3=1.6 KB4=0.1901 KVBGI=-1.022E-5 KNK=0.1727 KNG=0.1479 KNPL=0.00213 KNSL=17.2 KNPR=18.28 KNSR=26.21
+ CCG=15P CGP=0.05P CCP=5.9P VGOFF=-0.6 IGA=0.001 IGB=0.3 IGC=8 IGEX=2
+ Vp_MAX=200 Ip_MAX=100 Vg_step=0.5 Vg_start=0 Vg_count=9
+ X_MIN=76 Y_MIN=53 X_SIZE=715 Y_SIZE=599 FSZ_X=1296 FSZ_Y=736 ; XYGrid=false
+ Rp=1400 Vg_ac=20 P_max=10.5 Vg_qui=-2 Vp_qui=300
* showLoadLine=n showIp=y isDHP=n isPP=n isAsymPP=n isUL=n showDissipLimit=y
* showIg1=y isInputSnapped=y addLocalNFB=n
* XYProjections=n harmonicPlot=y dissipPlot=n
* UL=0.43 EG2=150 gridLevel2=y addKink=y isTanhKnee=n advSigmoid=y

*----------------------------------------------------------------------------------
RE1  7 0  1G    ; DUMMY SO NODE 7 HAS 2 CONNECTIONS
E1   7 0  VALUE=  ; E1 BREAKS UP LONG EQUATION FOR G1.
+{V(G2,K)/KP*LOG(1+EXP((1/MU+(VCT+V(G,K))/SQRT(KVB+V(G2,K)*V(G2,K)))*KP))}
RE2  6 0  1G    ; DUMMY SO NODE 6 HAS 2 CONNECTIONS
E2  6 0  VALUE={(PWR(V(7),EX)+PWRS(V(7),EX))} ; Kg1 times KIT current
E4   8 0  VALUE={V(P,K)/KNEE/(KVBGI+V(6)*KVBG)}
E5  81 0  VALUE={PWR(V(8),KB1)}
E6  82 0  VALUE={PWR(V(8),KB2)}
E7  83 0  VALUE={PWR(V(8),KB3)}
E8   9 0  VALUE={PWR(1-EXP(-V(81)*(KC+KR1*V(82))/(KD+KR2*V(83))),KB4)*1.5708}
RE4  8 0  1
RE5 81 0  1
RE6 82 0  1
RE7 83 0  1
RE8  9 0  1
RE21 21 0 1
E21  21 0 VALUE={V(6)/KG1*V(9)} ; Ip with knee but no slope and no kink
RE22 22 0 1 ; E22: kink curr deviation for plate
E22  22 0 VALUE={V(21)*LIMIT(KNK-V(G,K)*KNG,0,0.3)*(-ATAN((V(P,K)-KNPL)/KNSL)+ATAN((V(P,K)-KNPR)/KNSR))}
G1   P K  VALUE={V(21)*(1+KLAMG*V(P,K))+KLAM*V(P,K) + V(22)}
G2   G2 K  VALUE={V(6)/KG2*(KVC-V(9))/(1+KLAMG*V(P,K)) - V(22)}
RCP  P K  1G     ; FOR CONVERGENCE
C1   K G  {CCG}  ; CATHODE-GRID 1
C2   G P  {CGP}  ; GRID 1-PLATE
C3   K P  {CCP}  ; CATHODE-PLATE
RE23 G 0 1G
GG G K VALUE={(IGA+IGB/(IGC+V(P,K)))*(MU/KG1)*
+(PWR(V(G,K)-VGOFF,IGEX)+PWRS(V(G,K)-VGOFF,IGEX))}
.ENDS
